//* OLED DISPLAY 3.3V(VCC), GND, SCL (D1), SDA (D2) [ESP32]
 //* model: SSD1306  Resolution: 128 x 64  (small = 128 x 32)
 // FONTS >> in file OLEDdisplayFonts.h
// ArialMT_Plain_10, ArialMT_Plain_16, ArialMT_Plain_24
// SansSerif_plain_10, SansSerif_plain_12
// Dingbats__12 
// Monospaced_plain_8, Monospaced_plain_10, Monospaced_plain_12, Monospaced_bold_10, Monospaced_bold_16, Monospaced_bold_24  // 
// ceated with http://oleddisplay.squix.ch/
#include <Wire.h>
#include <Adafruit_GFX.h>
// #include <Adafruit_SSD1306.h>
#include "SSD1306.h" // alias for `#include "SSD1306Wire.h"`

// Initialize the OLED display using Wire library

SSD1306  display(0x3c, 21, 22); // SSD1306  display(ADDRESS, SDA, SDC);

// Include the UI lib
#include "OLEDDisplayUi.h"
#include <driver/adc.h>

//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
void setup(){

  // test routine to blink the onboard led
  int ledPin = 2; // esp32 onboard led
  pinMode(ledPin, OUTPUT);
  digitalWrite(ledPin, HIGH);
  delay(500);
  digitalWrite(ledPin, LOW);
  delay(500);


//   Wire.begin(21,22); // Init I2C on pins 21=SDA and 22=SCL

  // Initialising the display
  display.init();
  display.flipScreenVertically();
  display.setTextAlignment(TEXT_ALIGN_LEFT);
  display.clear(); 
   
    
  display.setFont(Monospaced_bold_16);
  display.drawString(0, 0, "Hello Human!");
  display.setFont(Monospaced_plain_12);
  display.drawString(20, 30, "How are you");
   display.drawString(40, 50, "today?");
    
  display.display();
  
}


//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
void loop(){

  delay(10);  
 
}



